/* utility.c */

/*
 * For !OWW project
 * One-wire weather
 * Dr. Simon J. Melhuish
 * 1999 - 2000
 * Free for non-comercial use
 * Dallas parts subject to their copyright and conditions
 *
 */

/* various functions */

#include <stdlib.h>
#include <string.h>


#ifdef WIN32
#define WIN32_LEAN_AND_MEAN
#include <windows.h>

int setenv(const char *name, const char *value, int overwrite)
{
    return SetEnvironmentVariable(name,value);
}

// Get the current centisecond tick count.  Does not have to represent
// an actual time, it just needs to be an incrementing timer.
unsigned long int csGettick(void)
{
    return GetTickCount()/10;
}
#endif


#ifdef RISCOS
#include "kernel.h"
#include "swis.h"

char *strdup(const char *s)
{
  /* Acorn clib does not have this function */

  char *n ;

  n = (char *) malloc(sizeof(char) * (1+strlen(s))) ;
  if (n) strcpy(n, s) ;
  return n ;
}

int setenv(const char *name, const char *value, int overwrite)
{
  /* Acorn clib does not have this function */

  _kernel_setenv(name, value) ;

  return 0 ;
}
#endif

